/* You can use this clases */

.content_btn,
.submodal > .content_btn {
    display: flex;
    flex-direction: row;
    justify-content: center;    
    width: 100%;
    text-align: center;
    gap: 10px;
    min-height: 35px;
}

.content_btn button {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 100px;
    height: 100%;
    min-height: 35px;
    border-radius: 5px;
    border: none;
    background-color: var(--hovers_buttons_color);
    color: var(--back_nav_color);
    font-size: clamp(14px, 3vw, 16px);
    font-family: var(--font);
    padding-left: 15px;
    padding-right: 15px;
    gap: 10px;
    text-wrap: nowrap;
}

.content_btn button:disabled {
    opacity: 0.7;
}

.content_btn button:hover {
    cursor: pointer;
    transition: 0.3s;
    background-color: var(--back_footer);
}

.content_btn button:active {
    transition: 0.3s;
    background-color: var(--hovers_buttons_color);
}

.content_btn.left {
    justify-content: start;
}

.content_btn.right {
    justify-content: end;
}

.content_btn.center {
    justify-content: center;
}

.content_btn.flex-1 {
    flex: 1;
}

.content_btn > .flex-1 {
    flex: 1;
}

.content_btn > .flex-2 {
    flex: 2;
}

.content_btn.auto_width {
    width: auto !important;
}

.content_btn.column_btns {
    flex-direction: column;
    height: auto !important;
}

.content_btn.column_btns button {
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn_success {
    background-color: var(--background_btn_green) !important;
}

.btn_success:hover {
    background-color: var(--border_btn_monitoring) !important;
}

.btn_success:active {
    background-color: var(--background_btn_green) !important;    
}

.btn_success:disabled {
    opacity: 0.7;
    cursor: not-allowed !important;
}

.btn_warning {
    background-color: var(--btn_warning) !important;
}

.btn_warning:hover {
    background-color: #dda807 !important;
}

.btn_warning:active {
    background-color: var(--btn_warning) !important;
}

.btn_warning:disabled {
    opacity: 0.7;
}

.btn_review {
    background-color: var(--orange) !important;
}

.btn_danger {
    background-color: var(--btn_back-danger) !important;
}

.btn_danger:hover {
    background-color: var(--btn_back_danger_hover) !important;
}

.btn_danger:disabled {
    opacity: 0.7;
}

.btn_danger:active {
    background-color: var(--btn_back-danger) !important;
}

.btn_gray {
    background-color: var(--border_input) !important;
}

.btn_gray:hover {
    background-color: var(--background_gray) !important;
}

.btn_gray:active {
    background-color: var(--border_input) !important;
}

.btn_gray:disabled {
    opacity: 0.7;
}

.btn_light {
    border: 1px solid #222222 !important;
    background-color: #eeee !important;
}

.btn_light:hover {
    background-color: rgb(194, 194, 194) !important;
}

.btn_light:active {
    background-color: #eeee !important;
}

.btn_light:disabled {
    opacity: 0.7;
}

.btn_predetermined {
    background-color: var(--hovers_buttons_color) !important;
}

.btn_predetermined:hover {
    background-color: var(--border_btn_blue) !important;
}

.btn_predetermined:disabled {
    opacity: 0.7;
    cursor: not-allowed !important;
}

.list-button {
    list-style: none;
    display: flex;
    flex-direction: column;
    align-items: start;
    padding: 0px;
    width: 100%;
    min-width: 100px;
    overflow: hidden;
    height: 0%;
    margin: 0px;
    position: absolute;
    top: 35px;
    z-index: 2;
    transition: height 0.5s;
    interpolate-size: allow-keywords;
}

.list-button li {
    padding: 10px;
    background-color: var(--hovers_buttons_color);
    color: #fff;
    width: 100%;
    padding: 10px;
    cursor: pointer;
    text-align: start;
}

.list-button li a {
    color: #fff;
    text-decoration: none;
}

.list-button li:hover {
    background-color: var(--back_footer);
}

@media (width < 500px) {
    .list-button {
        right: 0%;
        border-radius: 10px;
        top: 41px;
        min-width: 150px;
    }

    .content_btn button {
        text-wrap: wrap;
    }
}